For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETList Channel Metafields
              • POSTCreate Channel Metafield
              • GETGet Channel Metafield
              • PUTUpdate Channel Metafield
              • DELDelete Channel Metafield
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsMetafields

Create Channel Metafield

POST
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/metafields
POST
/stores/:store_hash/v3/channels/:channel_id/metafields
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/channels/1/metafields \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "namespace": "Warehouse Locations",
> "key": "Location",
> "value": "4HG",
> "permission_set": "app_only"
>}'
1{
2 "id": 6,
3 "permission_set": "app_only",
4 "namespace": "Warehouse Locations",
5 "key": "Location",
6 "value": "4HG",
7 "description": "Location in the warehouse",
8 "resource_type": "product",
9 "resource_id": 111,
10 "date_created": "2018-05-07T20:14:17.000Z",
11 "date_modified": "2018-05-07T20:14:17.000Z"
12}
Creates a channel metafield. **Note:** The maxiumum number of metafields allowed on each order, product, category, variant, channel, or brand is 250 per client ID. For more information, see [Platform Limits](https://support.bigcommerce.com/s/article/Platform-Limits) in the Help Center.
Was this page helpful?
Previous

List Channel Metafields

Next

Get Channel Metafield

Built with

Creates a channel metafield.

Note: The maxiumum number of metafields allowed on each order, product, category, variant, channel, or brand is 250 per client ID. For more information, see Platform Limits in the Help Center.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
namespacestringRequired1-64 characters
Namespace for the metafield, for organizational purposes. This is set by the developer.
keystringRequired1-64 characters
The name of the field.
valuestringRequired1-65535 characters
The value of the field.
permission_setenumRequired

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field
readVisible to other API consumers
writeOpen for reading and writing by other API consumers
read_and_sf_accessVisible to other API consumers, including on storefront
write_and_sf_accessOpen for reading and writing by other API consumers, including on storefront
Allowed values:
descriptionstringOptional0-255 characters
Description for the metafield.

Response

OK
idinteger

Unique ID of the Metafield.

permission_setenum

Determines the visibility and writeability of the field by other API consumers.

ValueDescription
app_onlyPrivate to the app that owns the field
readVisible to other API consumers
writeOpen for reading and writing by other API consumers
read_and_sf_accessVisible to other API consumers, including on storefront
write_and_sf_accessOpen for reading and writing by other API consumers, including on storefront
Allowed values:
namespacestring1-64 characters
Namespace for the metafield, for organizational purposes.
keystring1-64 characters

The name of the field, for example: location_id, color.

valuestring1-65535 characters
The value of the field.
descriptionstring0-255 characters
Description for the metafields.
resource_typeenum
The type of resource with which the metafield is associated.
Allowed values:
resource_idinteger0-10000000000
The ID for the resource with which the metafield is associated.
date_createddatetime

Date and time of the metafieldʼs creation. Read-Only.

date_modifieddatetime

Date and time when the metafield was last updated. Read-Only.

Errors

400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.